	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "axis2")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_y_min", -20.00)
	call psetc("subpage_x_date_max", "2012-05-10")
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 20.00)
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_date_min", "2012-04-10")

	call psetc("axis_orientation", "vertical")
	call psetc("axis_grid_reference_line_style", "solid")
	call pseti("axis_grid_reference_thickness", 2)
	call pseti("axis_grid_thickness", 1)
	call psetr("axis_grid_reference_level", 0.00)
	call psetc("axis_type", "regular")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call preset('axis_orientation')
	call preset('axis_grid_reference_line_style')
	call preset('axis_grid_reference_thickness')
	call preset('axis_grid_thickness')
	call preset('axis_grid_reference_level')
	call preset('axis_type')
	call preset('axis_grid')
	call preset('axis_grid_line_style')
	call preset('axis_grid_colour')

	call psetc("axis_orientation", "horizontal")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetc("axis_grid", "on")
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.40)
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call preset('axis_orientation')
	call preset('axis_grid_thickness')
	call preset('axis_type')
	call preset('axis_days_label_height')
	call preset('axis_grid')
	call preset('axis_months_label_height')
	call preset('axis_years_label_height')
	call preset('axis_grid_line_style')
	call preset('axis_grid_colour')

	call pset1c("text_lines", (/"Using time series..."/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_html", "true")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_html')
	call preset('text_colour')

	call pclose

	end
